## tuxedo-drivers-v4.15.4.tar.bz2

=== Makefile ===
#
# Copyright (c) 2018-2025 TUXEDO Computers GmbH <tux@tuxedocomputers.com>
#
# This file is part of tuxedo-drivers.
#
# tuxedo-drivers is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2
# of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#

.PHONY: all install clean package package-deb package-rpm

KDIR := /lib/modules/$(shell uname -r)/build

PACKAGE_NAME := $(shell grep -Pom1 '.*(?= \(.*\) .*; urgency=.*)' debian/changelog)
PACKAGE_VERSION := $(shell grep -Pom1 '.* \(\K.*(?=\) .*; urgency=.*)' debian/changelog)

all:
	make -C $(KDIR) M=$(PWD) $(MAKEFLAGS) modules

install: all
	make -C $(KDIR) M=$(PWD) $(MAKEFLAGS) modules_install
	cp -r etc usr /

clean:
	make -C $(KDIR) M=$(PWD) $(MAKEFLAGS) clean
	rm -f debian/*.debhelper
	rm -f debian/*.debhelper.log
	rm -f debian/*.substvars
	rm -f debian/debhelper-build-stamp
	rm -f debian/files
	rm -rf debian/tuxedo-drivers
	rm -f src/dkms.conf
	rm -f tuxedo-drivers.spec

package: package-deb package-rpm

package-deb:
	debuild --no-tgz-check --no-sign

package-rpm:
	sed 's/#MODULE_VERSION#/$(PACKAGE_VERSION)/' debian/tuxedo-drivers.dkms > src/dkms.conf
	sed 's/#MODULE_VERSION#/$(PACKAGE_VERSION)/' tuxedo-drivers.spec.in > tuxedo-drivers.spec
	echo >> tuxedo-drivers.spec
	./debian-changelog-to-rpm-changelog.awk debian/changelog >> tuxedo-drivers.spec
	mkdir -p $(shell rpm --eval "%{_sourcedir}")
	tar --create --file $(shell rpm --eval "%{_sourcedir}")/$(PACKAGE_NAME)-$(PACKAGE_VERSION).tar.xz \
		--transform="s/debian\/copyright/$(PACKAGE_NAME)-$(PACKAGE_VERSION)\/LICENSE/" \
		--transform="s/etc/$(PACKAGE_NAME)-$(PACKAGE_VERSION)\/etc/" \
		--transform="s/usr/$(PACKAGE_NAME)-$(PACKAGE_VERSION)\/usr/" \
		--transform="s/src/$(PACKAGE_NAME)-$(PACKAGE_VERSION)\/usr\/src\/$(PACKAGE_NAME)-$(PACKAGE_VERSION)/" \
		--exclude=*.cmd \
		--exclude=*.ko \
		--exclude=*.mod \
		--exclude=*.mod.c \
		--exclude=*.o \
		--exclude=*.o.d \
		--exclude=modules.order \
		debian/copyright etc src usr
	rpmbuild -ba tuxedo-drivers.spec

=== debian/changelog ===
tuxedo-drivers (4.15.4) noble; urgency=medium

  * Fix fan control unresponsive on older NB02 devices

 -- Werner Sembach <tux@tuxedocomputers.com>  Fri, 29 Aug 2025 13:58:49 +0200

tuxedo-drivers (4.15.3) noble; urgency=medium

  * Fix pulsating fan on NB02 devices by making TD full fan mode aware
  * Readd and fix `make all` and `make install` targets as they are required for
    unofficial packaging scripts
  * Add .editorconfig for developer convenience

 -- Werner Sembach <tux@tuxedocomputers.com>  Mon, 25 Aug 2025 15:36:30 +0200

tuxedo-drivers (4.15.2) noble; urgency=medium

  * change tuxedo-linux-firmware-amdgpu to Recommends

 -- Tim Guttzeit <tux@tuxedocomputers.com>  Mon, 18 Aug 2025 12:12:21 +0200

tuxedo-drivers (4.15.1) noble; urgency=medium

  * add tuxedo-linux-firmware-amdgpu as Depends 

 -- Maximilian Arnold <tux@tuxedocomputers.com>  Thu, 14 Aug 2025 15:58:20 +0200

tuxedo-drivers (4.15.0) noble; urgency=medium

  * Stellaris Gen7 AMD: Fix keyboard color, TGP, TDP;
  * Stellaris Gen7 AMD: Remove unsupported USB-C Charging Prios
  * Stellaris Gen7 AMD: Add AC Autoboot and USB Powershare features
  * IBP Gen10: Fix ID changes
  * IBP Gen10: Add IDs to power profiles and five step keyboard backlight  

 -- Tim Guttzeit <tux@tuxedocomputers.com>  Wed, 06 Aug 2025 07:53:44 +0200

tuxedo-drivers (4.14.4) noble; urgency=medium

  * Move udev rules from tuxedo-fix-config-files into tuxedo-drivers

 -- Tim Guttzeit <tux@tuxedocomputers.com>  Wed, 30 Jul 2025 12:20:22 +0200

tuxedo-drivers (4.14.3) noble; urgency=medium

  * Fix Stellaris Gen7 leaving custom profile upon power event

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 15 Jul 2025 16:14:19 +0200

tuxedo-drivers (4.14.2) noble; urgency=medium

  * More small fixes for Stellaris Gen7 support
  * Small fix for IBP Gen10 support

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 01 Jul 2025 23:26:56 +0200

tuxedo-drivers (4.14.1) noble; urgency=medium

  * Cleanup Makefile
  * Update Readme
  * Fix NB02 devices have bogus mouse device
  * Harmonize config file names

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 17 Jun 2025 15:03:46 +0200

tuxedo-drivers (4.14.0) noble; urgency=medium

  * Several small fixes for Stellaris Gen7 support
  * Add wake on power setting for supported devices
  * Add power share setting for supported devices

 -- Werner Sembach <tux@tuxedocomputers.com>  Wed, 11 Jun 2025 18:17:28 +0200

tuxedo-drivers (4.13.1) noble; urgency=medium

  * InfinityFlex: Make FN-key no longer disable touchpad
  * NB02: Make FN-key no longer spam dmesg

 -- Werner Sembach <tux@tuxedocomputers.com>  Thu, 15 May 2025 17:40:06 +0200

tuxedo-drivers (4.13.0) noble; urgency=medium

  * Fix touchpad toggle key on NB02 on wayland
  * Fix Aura 14/15 Gen4 Webcam switch not disapearing when deactivated in BIOS
  * Add udev-hid-bpf recommendation for Sirius 16 Gen1/2 keyboard fix
  * Fix build errors with Kernel 6.14 and 6.15

 -- Werner Sembach <tux@tuxedocomputers.com>  Wed, 07 May 2025 17:57:05 +0200

tuxedo-drivers (4.12.2) noble; urgency=medium

  * Fix IBP Gen9 keyboard backlight not controllable after cold boot until first
    FN + space press
  * This will be the last version officially supported on Ubuntu 22.04.
    Exceptions might get made for critical bug fixes.

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 18 Feb 2025 22:37:15 +0100

tuxedo-drivers (4.12.1) noble; urgency=medium

  * Change device check for fixed 5 color kbl on NB02 devices from EC-ID to DMI
    string
  * Cleanup changelog and order chronologically
  * Generate rpm changelog from deb changelog

 -- Werner Sembach <tux@tuxedocomputers.com>  Mon, 27 Jan 2025 15:17:59 +0100

tuxedo-drivers (4.12.0) noble; urgency=medium

  * Add keyboard backlight support for IBP Gen9
  * Add automatic compile tests
  * Fix low fan speed rounding issue between off and 25%

 -- Werner Sembach <tux@tuxedocomputers.com>  Wed, 15 Jan 2025 13:30:52 +0100

tuxedo-drivers (4.11.7) noble; urgency=medium

  * Avoid floating point to be more widely compatible

 -- Werner Sembach <tux@tuxedocomputers.com>  Wed, 11 Dec 2024 13:59:05 +0100

tuxedo-drivers (4.11.6) noble; urgency=medium

  * Fix build against kernel 5.15

 -- Werner Sembach <tux@tuxedocomputers.com>  Thu, 05 Dec 2024 14:44:53 +0100

tuxedo-drivers (4.11.5) noble; urgency=medium

  * Block 1%-24% fanspeeds and round to 0% or 25% respectifly to avoid irregular
    fan movements

 -- Werner Sembach <tux@tuxedocomputers.com>  Thu, 05 Dec 2024 14:10:09 +0100

tuxedo-drivers (4.11.4) noble; urgency=medium

  * Remove buggy autoreload on install
  * Fix CPU power handling on Stellaris 16 Gen6
  * Fix instant wakeup on Stellaris Slim 15 Gen6 AMD

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 26 Nov 2024 12:20:51 +0100

tuxedo-drivers (4.11.3) noble; urgency=medium

  * Fix crashes on package install

 -- Werner Sembach <tux@tuxedocomputers.com>  Mon, 18 Nov 2024 20:07:53 +0100

tuxedo-drivers (4.11.2) noble; urgency=medium

  * Fix missing module reload handling in install scripts

 -- Werner Sembach <tux@tuxedocomputers.com>  Wed, 13 Nov 2024 18:21:34 +0100

tuxedo-drivers (4.11.1) noble; urgency=medium

  * Fix build with different kernels

 -- Werner Sembach <tux@tuxedocomputers.com>  Wed, 13 Nov 2024 11:23:38 +0100

tuxedo-drivers (4.11.0) noble; urgency=medium

  * Add TUXI (TUXEDO Interface) acpi driver
  * Fix InfinityBook Pro v3 keyboard backlight levels

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 12 Nov 2024 17:13:07 +0100

tuxedo-drivers (4.10.2) noble; urgency=medium

  * Fix color scaling for Stellaris 16 Gen6 Intel

 -- Werner Sembach <tux@tuxedocomputers.com>  Wed, 06 Nov 2024 17:18:25 +0100

tuxedo-drivers (4.10.1) noble; urgency=medium

  * Fix compile errors with linux 6.12
  * Fix compile warnings

 -- Werner Sembach <tux@tuxedocomputers.com>  Tue, 05 Nov 2024 17:12:42 +0100

tuxedo-drivers (4.10.0) jammy; urgency=medium

  * Fix IBP Gen9 fan control hickups


=== debian/control ===
Source: tuxedo-drivers
Section: devel
Priority: optional
Maintainer: TUXEDO Computers GmbH <tux@tuxedocomputers.com>
Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://tuxedocomputers.com
Vcs-Browser: https://github.com/tuxedocomputers/tuxedo-drivers
Vcs-Git: https://github.com/tuxedocomputers/tuxedo-drivers.git

Package: tuxedo-drivers
Architecture: all
Depends: ${misc:Depends}
Recommends: udev-hid-bpf, tuxedo-linux-firmware-amdgpu
Provides: tuxedo-keyboard (= 4.0.0)
Replaces: tuxedo-cc-wmi (<< 4.0.0~), tuxedo-keyboard (<< 4.0.0~),
 tuxedo-keyboard-dkms (<< 4.0.0~), tuxedo-keyboard-ite (<< 4.0.0~),
 tuxedo-touchpad-fix (<< 4.0.0~), tuxedo-wmi-dkms (<< 4.0.0~),
 tuxedo-xp-xc-airplane-mode-fix (<< 4.0.0~),
 tuxedo-xp-xc-touchpad-key-fix (<< 4.0.0~)
Breaks: tuxedo-cc-wmi (<< 4.0.0~), tuxedo-keyboard (<< 4.0.0~),
 tuxedo-keyboard-dkms (<< 4.0.0~), tuxedo-keyboard-ite (<< 4.0.0~),
 tuxedo-touchpad-fix (<< 4.0.0~), tuxedo-wmi-dkms (<< 4.0.0~),
 tuxedo-xp-xc-airplane-mode-fix (<< 4.0.0~),
 tuxedo-xp-xc-touchpad-key-fix (<< 4.0.0~)
Description: Kernel modules for TUXEDO devices
 Drivers for several platform devices for TUXEDO notebooks meant for DKMS.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_install:
	dh_install src/. -X*.cmd -X*.d -X*.ko -X*.mod -X*.mod.c -X*.o -Xmodules.order -Xdkms.conf usr/src/$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
	dh_install etc /
	dh_install usr /

override_dh_dkms:
	dh_dkms -V

# do nothing
override_dh_auto_configure override_dh_auto_build override_dh_auto_test override_dh_auto_install override_dh_auto_clean:
